/* テストプログラム2  (c)2014 Ryosuke Kawano
  1. ハードウェアは Arduino UNO とブレッドボードを利用する。
  2. 入力装置はプッシュスイッチ 1個。
  3. 出力装置はArduino上のLED 1個と圧電サウンダ。
  4. LED の出力は LOW で消灯、HIGH で点灯。
  5. プッシュスイッチが押されていないときは LEDを消灯する。
  6. プッシュスイッチを押している間はLED を点灯し、プープー音を鳴らす。
  7. 5以降繰り返し。
*/

const int led = 13;           // D13 は Arduino基板上にLEDあり
const int sw = 2;             // D2 にスイッチを接続
const int sounder = 3;        // D3 に圧電サウンダを接続
const int snd_freq = 1000;    // プー音の周波数 Hz
const int snd_time = 200;     // プー音の継続時間 ms
const int wait_time = 400;    // 待ち時間 ms

void setup( void ){                
  // 初期化状態
  pinMode( sw, INPUT_PULLUP );
  pinMode( led, OUTPUT );
  // 【条件１】初期化終了が成立
}

void loop( void ){
  // テスト状態
  if ( digitalRead( sw ) == HIGH ){
    // スイッチ オフ（HIGH）のとき
    digitalWrite( led, LOW );
  } else {
    // スイッチ オン（LOW）のとき
    digitalWrite( led, HIGH );
    tone( sounder, snd_freq, snd_time );
    delay( wait_time );
  }
}

